<?php
if (isset($tpl['status']))
{
	$status = __('status', true);
	switch ($tpl['status'])
	{
		case 2:
			pjUtil::printNotice(NULL, $status[2]);
			break;
	}
} else {
	if (isset($_GET['err']))
	{
		$titles = __('error_titles', true);
		$bodies = __('error_bodies', true);
		$bodies_text = str_replace("{SIZE}", ini_get('post_max_size'), @$bodies[$_GET['err']]);
		pjUtil::printNotice(@$titles[$_GET['err']], $bodies_text);
	}
	?>
	<div class="ui-tabs ui-widget ui-widget-content ui-corner-all b10">
		<ul class="ui-tabs-nav ui-helper-reset ui-helper-clearfix ui-widget-header ui-corner-all">
			<li class="ui-state-default ui-corner-top ui-tabs-active ui-state-active"><a href="<?php echo $_SERVER['PHP_SELF']; ?>?controller=pjAdminCampaigns&amp;action=pjActionIndex"><?php __('menuCampaigns'); ?></a></li>
			<?php
			if($controller->isAdmin())
			{ 
				?><li class="ui-state-default ui-corner-top"><a href="<?php echo $_SERVER['PHP_SELF']; ?>?controller=pjAdminCampaigns&amp;action=pjActionCreate"><?php __('lblAddCampaign'); ?></a></li><?php
			} 
			?>
		</ul>
	</div>
	<?php pjUtil::printNotice(__('infoCampaignsTitle', true, false), __('infoCampaignsDesc', true, false)); ?>
	<div class="b10">
		<form action="" method="get" class="float_left pj-form frm-filter">
			<input type="text" name="q" class="pj-form-field pj-form-field-search w150" placeholder="<?php __('btnSearch', false, true); ?>" />
		</form>
		<?php
		$filter = __('filter', true);
		?>
		<div class="float_right t5">
			<a href="#" class="pj-button btn-all"><?php __('lblAll'); ?></a>
			<a href="#" class="pj-button btn-filter btn-status" data-column="status" data-value="T"><?php echo $filter['active']; ?></a>
			<a href="#" class="pj-button btn-filter btn-status" data-column="status" data-value="F"><?php echo $filter['inactive']; ?></a>
		</div>
		<br class="clear_both" />
	</div>

	<div id="grid"></div>
	
	<div id="dialogDeleteRecord" title="<?php __('gridDeleteConfirmation'); ?>" style="display:none;"></div>
	
	<script type="text/javascript">
	var pjGrid = pjGrid || {};
	pjGrid.isEditor = <?php echo $controller->isEditor() ? 'true' : 'false'; ?>;
	var myLabel = myLabel || {};
	myLabel.title = "<?php __('lblTitle', false, true); ?>";
	myLabel.donated = "<?php __('lblDonated', false, true); ?>";
	myLabel.deadline = "<?php __('lblDeadline', false, true); ?>";
	myLabel.more = "<?php __('lblMore', false, true); ?>";
	myLabel.preview = "<?php __('menuPreview', false, true); ?>";
	myLabel.donations = "<?php __('menuDonations', false, true); ?>";
	myLabel.exported = "<?php __('lblExport', false, true); ?>";
	myLabel.active = "<?php echo $filter['active']; ?>";
	myLabel.inactive = "<?php echo $filter['inactive']; ?>";	
	myLabel.delete_selected = "<?php __('delete_selected', false, true); ?>";
	myLabel.delete_confirmation = "<?php __('delete_confirmation', false, true); ?>";
	myLabel.status = "<?php __('lblStatus', false, true); ?>";
	</script>
	<?php
}
?>